#include "RKData.h"
#include "DataRec.h"
#include "Component.h"
#include "Cell.h"

int main()
{
	int n;
	int i;
	int iteration;
	double x;
	double h = 0.01;

	iteration = (int)(500.0/h);

	CDataRecorder rec;
	CCell* pCell =  new CCell();

	n = pCell->initCell(h);

	rec.Start(n,pCell->y);

	for(i=0;i<iteration;i++){
		x = h*i;
		rec.StoreData(x);
		pCell->rk4(x);
	}
	rec.Stop();


	delete pCell;

	rec.Replay();
	return 0;
}


